using Domain.Entities;
using Domain.Generics;

namespace Models.Interfaces
{
    public interface IPhSPeopleRepository
    {
        Task<PagedResult<EPerson>> GetAllAsync(int page = 1, int pageSize = 50);
        Task<PagedResult<EPerson>> SearchAsync(string? name, string? email,
            int page = 1, int pageSize = 50);
        Task<EPerson?> GetByIdAsync(int id);
        Task<EPerson> AddAsync(EPerson person);
        Task UpdateAsync(EPerson person);
        Task DeleteAsync(int id);

    }
}
